Search Reddit posts
curl --request GET \
--url https://scrapebadger.com/v1/reddit/search/posts \
--header 'X-API-Key: <api-key>'import requests
url = "https://scrapebadger.com/v1/reddit/search/posts"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/reddit/search/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Search
Search Posts
Search Reddit posts globally or within a subreddit. Supports Reddit’s full query syntax (title:, author:, subreddit:, flair:, AND/OR/NOT).
GET
/
v1
/
reddit
/
search
/
posts
Search Reddit posts
Authorizations
ScrapeBadger API key
Query Parameters
Search query
Restrict to subreddit
Sort: relevance, hot, top, new, comments
Time: hour, day, week, month, year, all
Required range:
1 <= x <= 100Response
Successful Response
⌘I

